#
# spec file for package python-stestr
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-stestr
Version:        1.1.0
Release:        lp150.1.1
Summary:        A test runner runner similar to testrepository
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/mtreinish/stestr
Source:         https://files.pythonhosted.org/packages/source/s/stestr/stestr-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pbr >= 2.0.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-PyYAML >= 3.10.0
Requires:       python-fixtures >= 3.0.0
Requires:       python-future
Requires:       python-pbr >= 2.0.0
Requires:       python-python-subunit >= 0.18.0
Requires:       python-six >= 1.10.0
Requires:       python-testtools >= 2.2.0
Suggests:       python-subunit2sql >= 1.8.0
Requires(post): update-alternatives
Requires(postun): update-alternatives
BuildArch:      noarch

%python_subpackages

%description
stestr is a fork of the `testrepository`_ that concentrates on being a
dedicated test runner for python projects. The generic abstraction
layers which enabled testr to work with any subunit emitting runner are gone.
stestr hard codes python-subunit-isms into how it works. The code base is also
designed to try and be explicit, and to provide a python api that is documented
and has examples.

%prep
%setup -q -n stestr-%{version}

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/stestr
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%post
%python_install_alternative stestr

%postun
%python_uninstall_alternative stestr

%files %{python_files}
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog LICENSE README.rst
%python_alternative %{_bindir}/stestr
%{python_sitelib}/*

%changelog
* Mon Feb 26 2018 tbechtold@suse.com
  * Pass output to output.make\_result() in stestr load
  * Remove 32bit windows testing CI config
  * Add functional test for analyze-isolation flag
  * Fetch the data from last run earlier
  * Fix the stestr run --analyze-isolation flag
  * Remove contributor docs for using reno
  * Fix stestr load from stdin
  * Add test\_return\_codes check for valid subunit output
  * Respect all selection mechanisms for discovery check
  * Fix .testr.conf parsing: test path follows discover
  * Fix if logic on output types in stestr load
  * Add a --abbreviate flag to stestr run and load
  * Add missing run command to stestr manual
  * Print just error message when no stestr repo
  * Fix whitelist arg usage in stestr run
  * Drop reno
  * Add missing home-page
  * Fix: pass the top\_dir parameter to the 'list' command
  * Fix: pass the test\_path parameter to the 'list' command
  * Update MANUAL.rst
  * Update the trove classifiers
  * Use context managers for file open()
  * Ensure we always close files in file repository
  * Create a Code of Conduct for the project
  * Fix coveralls collection
* Thu Sep 14 2017 tbechtold@suse.com
- initial packaging (version 1.0.0)
